<?php

// web routes  for restaurant
Route::prefix('{guard}/restaurant')->group(function () {
    Route::resource('restaurant', 'RestaurantResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'RestaurantResourceController');
            });
            // Public routes for pages
            Route::get('restaurants/', 'RestaurantPublicController@index');
            Route::get('restaurants/{slug?}', 'RestaurantPublicController@show');
        }
    );
}

