<?php

namespace Ebuy\Restaurant\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RestaurantTransformer extends TransformerAbstract
{
    public function transform(\Ebuy\Restaurant\Models\Restaurant $restaurant)
    {
        return [
            'id'                => $restaurant->getRouteKey(),
            'key'               => [
                'public'    => $restaurant->getPublicKey(),
                'route'     => $restaurant->getRouteKey(),
            ], 
            'reporting_to'      => $restaurant->reporting_to,
            'name'              => $restaurant->name,
            'l_name'            => $restaurant->l_name,
            'email'             => $restaurant->email,
            'password'          => $restaurant->password,
            'api_token'         => $restaurant->api_token,
            'remember_token'    => $restaurant->remember_token,
            'sex'               => $restaurant->sex,
            'dob'               => $restaurant->dob,
            'designation'       => $restaurant->designation,
            'mobile'            => $restaurant->mobile,
            'phone'             => $restaurant->phone,
            'address'           => $restaurant->address,
            'street'            => $restaurant->street,
            'city'              => $restaurant->city,
            'district'          => $restaurant->district,
            'state'             => $restaurant->state,
            'country'           => $restaurant->country,
            'photo'             => $restaurant->photo,
            'web'               => $restaurant->web,
            'permissions'       => $restaurant->permissions,
            'email_verified_at' => $restaurant->email_verified_at,
            'user_id'           => $restaurant->user_id,
            'user_type'         => $restaurant->user_type,
            'upload_folder'     => $restaurant->upload_folder,
            'deleted_at'        => $restaurant->deleted_at,
            'team_id'           => $restaurant->team_id,
            'url'               => [
                'public'    => trans_url('restaurant/'.$restaurant->getPublicKey()),
                'user'      => guard_url('restaurant/restaurant/'.$restaurant->getRouteKey()),
            ], 
            'status'            => trans('app.'.$restaurant->status),
            'created_at'        => format_date($restaurant->created_at),
            'updated_at'        => format_date($restaurant->updated_at),
        ];
    }
}